=== debian/changelog ===
coin3 (4.0.3+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix freecad crash (egl). (Closes: #1050302)

 -- Anton Gladky <gladk@debian.org>  Sat, 01 Mar 2025 17:54:39 +0100

coin3 (4.0.3+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 28 Jan 2025 14:26:46 +0100

coin3 (4.0.2+ds-3) unstable; urgency=medium

  * Team upload.
  * Allow stderr on autopkgtest, see #1087859.

 -- Tobias Frost <tobi@debian.org>  Thu, 26 Dec 2024 19:22:14 +0100
