=== debian/control ===
Source: coin3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: graphics
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               cmake,
               doxygen,
               libexpat-dev,
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxmu-dev,
               libxpm-dev,
               libxt-dev,
               libboost-all-dev,
               freeglut3-dev,
	       libgl-dev,
	       libglvnd-dev,
	       libopengl-dev,
 	       libglew-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/coin3
Vcs-Git: https://salsa.debian.org/science-team/coin3.git
Homepage: https://github.com/coin3d

Package: libcoin80t64
Provides: ${t64:Provides}
X-Time64-Compat: libcoin80c
Breaks: libcoin80c (<< ${source:Version})
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libbz2-1.0,
          libfreetype6,
          libopenal0a,
          libsimage-dev,
          zlib1g
Pre-Depends: ${misc:Pre-Depends}
Replaces: libcoin80c, libcoin80v5
Description: high-level 3D graphics kit implementing the Open Inventor API
 Coin is an OpenGL-based, retain-mode 3D graphics library that
 implements the Open Inventor 2.1 API. It also includes support for
 VRML97 and 3D audio.  Installing the suggested packages will enable
 extra features:
 .
     libsimage-dev enables loading of image files in SbImage
     libfreetype6 enables use of TrueType fonts
     libopenal0a   enables audio support
     zlib1g and libbz2 enable transparent read of compressed files

Package: libcoin-dev
Architecture: any
Section: libdevel
Depends: libcoin80t64 (= ${binary:Version}),
         libgl-dev,
	 libopengl-dev,
	 libglew-dev,
         libx11-dev,
         libxext-dev,
         libxi-dev,
         libxmu-dev,
         libxpm-dev,
         libxt-dev,
         ${misc:Depends}
Suggests: libcoin-doc (= ${binary:Version})
Replaces: libcoin80-dev
Breaks: libcoin80-dev
Conflicts: inventor-dev
Description: high-level 3D graphics devkit with Open Inventor and VRML97 support
 Coin is an OpenGL-based, retain-mode 3D graphics library that
 implements the Open Inventor 2.1 API. It also includes support for
 VRML97 and 3D audio.

Package: libcoin-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Suggests: libcoin-dev (= ${binary:Version})
Replaces: libcoin80-doc
Breaks: libcoin80-doc
Description: high-level 3D graphics kit with Open Inventor and VRML97 support
 API documentation for the Coin library (the Open Inventor API) in
 HTML format.
 .
 Coin is an OpenGL-based, retain-mode 3D graphics library that
 implements the Open Inventor 2.1 API. It also includes support for
 VRML97 and 3D audio.

Package: libcoin-runtime
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: ${misc:Depends}
Suggests: libcoin80t64
Replaces: libcoin80-runtime
Breaks: libcoin80-runtime
Description: high-level 3D graphics kit - external data files
 External data files used by the Coin library at run-time.  The
 dragger geometry files represent the defaults that are used if the
 files are not found.  This package is completely optional.
